Get Site Recovery Health Report Details

Get Site Recovery Health Report Details

Get JSON format site recovery health report details for the specified Deployment

Request
URI
GET
https://{api_host}/api/vsr-guardrails/{org_id}/deployments/{deployment_id}/site-recovery-health-reports/{report_id}/details
COPY
Path Parameters
string
org_id
Required

organization identifier

string
deployment_id
Required

Deployment identifier

string
report_id
Required

Report identifier


Responses
200

OK

Returns SiteRecoveryHealthReportDetails of type(s) application/json
{
    "report_id": "string",
    "org_id": "string",
    "deployment_id": "string",
    "provider_code": "string",
    "resource_info": {
        "resource_info": "string"
    },
    "health_checker_task_id": "string",
    "info_collect_details_list": [
        {
            "info_type": "string",
            "info_collector_status": "string",
            "info_details": {
                "info_type": "string"
            },
            "info_collect_updated_timestamp": "string"
        }
    ],
    "issue_check_details_list": [
        {
            "issue_checker_status": "string",
            "issue_type": "string",
            "issue_type_description": "string",
            "issue_category": "string",
            "issues": [
                {
                    "issue_type": "string",
                    "id": "string",
                    "org_id": "string",
                    "deployment_id": "string",
                    "provider_code": "string",
                    "severity": "string",
                    "issue_count": 0,
                    "issue_payload": "string",
                    "issue_pattern_id": "string",
                    "report_id": "string",
                    "created_timestamp": "string",
                    "updated_timestamp": "string"
                }
            ],
            "issue_check_updated_timestamp": "string"
        }
    ],
    "health_check_updated_timestamp": "string",
    "health_report_generated_timestamp": "string"
}
string
report_id
Required

Identifier of site recovery health report

string
org_id
Required

Identifier of the organization

string
deployment_id
Optional

Identifier of the deployment

string
provider_code
Optional

Provider code of the deployment

object
resource_info
Optional

Deployment info

string
health_checker_task_id
Required

Site recovery health checker task ID

array of object
info_collect_details_list
Optional

Site recovery info collect details list

array of object
issue_check_details_list
Optional

Site recovery issue check details list

string As date-time As date-time
health_check_updated_timestamp
Optional

Timestamp of health check last updated

string As date-time As date-time
health_report_generated_timestamp
Optional

Timestamp of health report generated


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vsr-guardrails/{org_id}/deployments/{deployment_id}/site-recovery-health-reports/{report_id}/details